hpp-fcl: hpp::fcl::DistanceResult Struct Reference

hpp-fcl 1.8.0 HPP fork of FCL -- The Flexible Collision Library

Public Member Functions | Public Attributes | Static Public Attributes | List of all members
hpp::fcl::DistanceResult Struct Reference

distance result More...

`#include <hpp/fcl/collision_data.h>`

Inheritance diagram for hpp::fcl::DistanceResult:

## Public Member Functions
| DistanceResult (FCL_REAL min_distance_=(std::numeric_limits< FCL_REAL >::max)())
void | update (FCL_REAL distance, const CollisionGeometry *o1_, const CollisionGeometry *o2_, int b1_, int b2_)
| add distance information into the result More...
void | update (FCL_REAL distance, const CollisionGeometry *o1_, const CollisionGeometry *o2_, int b1_, int b2_, const Vec3f &p1, const Vec3f &p2, const Vec3f &normal_)
| add distance information into the result More...
void | update (const DistanceResult &other_result)
| add distance information into the result More...
void | clear ()
| clear the result More...
bool | operator== (const DistanceResult &other) const
| whether two DistanceResult are the same or not More...
Public Member Functions inherited from hpp::fcl::QueryResult
| QueryResult ()

## Public Attributes
FCL_REAL | min_distance
| minimum distance between two objects. if two objects are in collision, min_distance <= 0. More...
Vec3f | nearest_points [2]
| nearest points More...
Vec3f | normal
| In case both objects are in collision, store the normal. More...
const CollisionGeometry * | o1
| collision object 1 More...
const CollisionGeometry * | o2
| collision object 2 More...
int | b1
| information about the nearest point in object 1 if object 1 is mesh or point cloud, it is the triangle or point id if object 1 is geometry shape, it is NONE (-1), if object 1 is octree, it is the id of the cell More...
int | b2
| information about the nearest point in object 2 if object 2 is mesh or point cloud, it is the triangle or point id if object 2 is geometry shape, it is NONE (-1), if object 2 is octree, it is the id of the cell More...
Public Attributes inherited from hpp::fcl::QueryResult
Vec3f | cached_gjk_guess
| stores the last GJK ray when relevant. More...
support_func_guess_t | cached_support_func_guess
| stores the last support function vertex index, when relevant. More...
CPUTimes | timings
| timings for the given request More...

## Static Public Attributes
static const int | NONE = -1
| invalid contact primitive information More...

## Detailed Description

distance result

## Constructor & Destructor Documentation

## ◆ DistanceResult()

hpp::fcl::DistanceResult::DistanceResult | ( | FCL_REAL | min_distance_ = `(std::numeric_limits<FCL_REAL>::max)()` | ) |
| inline

## Member Function Documentation

## ◆ clear()

void hpp::fcl::DistanceResult::clear | ( |  | ) |
| inline

clear the result

## ◆ operator==()

bool hpp::fcl::DistanceResult::operator== | ( | const DistanceResult & | other | ) | const
| inline

whether two DistanceResult are the same or not

## ◆ update() [1/3]

void hpp::fcl::DistanceResult::update | ( | const DistanceResult & | other_result | ) |
| inline

add distance information into the result

## ◆ update() [2/3]

void hpp::fcl::DistanceResult::update | ( | FCL_REAL | distance,
|  | const CollisionGeometry * | o1_,
|  | const CollisionGeometry * | o2_,
|  | int | b1_,
|  | int | b2_
| ) |  |
| inline

add distance information into the result

## ◆ update() [3/3]

void hpp::fcl::DistanceResult::update | ( | FCL_REAL | distance,
|  | const CollisionGeometry * | o1_,
|  | const CollisionGeometry * | o2_,
|  | int | b1_,
|  | int | b2_,
|  | const Vec3f & | p1,
|  | const Vec3f & | p2,
|  | const Vec3f & | normal_
| ) |  |
| inline

add distance information into the result

## Member Data Documentation

## ◆ b1

int hpp::fcl::DistanceResult::b1

information about the nearest point in object 1 if object 1 is mesh or point cloud, it is the triangle or point id if object 1 is geometry shape, it is NONE (-1), if object 1 is octree, it is the id of the cell

## ◆ b2

int hpp::fcl::DistanceResult::b2

information about the nearest point in object 2 if object 2 is mesh or point cloud, it is the triangle or point id if object 2 is geometry shape, it is NONE (-1), if object 2 is octree, it is the id of the cell

## ◆ min_distance

FCL_REAL hpp::fcl::DistanceResult::min_distance

minimum distance between two objects. if two objects are in collision, min_distance <= 0.

## ◆ nearest_points

Vec3f hpp::fcl::DistanceResult::nearest_points[2]

nearest points

## ◆ NONE

const int hpp::fcl::DistanceResult::NONE = -1
| static

invalid contact primitive information

## ◆ normal

Vec3f hpp::fcl::DistanceResult::normal

In case both objects are in collision, store the normal.

## ◆ o1

const CollisionGeometry* hpp::fcl::DistanceResult::o1

collision object 1

## ◆ o2

const CollisionGeometry* hpp::fcl::DistanceResult::o2

collision object 2

The documentation for this struct was generated from the following file:

- include/hpp/fcl/collision_data.h